﻿using System.Web.Security;
using System.Web;
using System;

namespace MonoSoftware.MonoX
{
    /// <summary>
    /// MonoX Role provider based on the <see cref="System.Web.Security.SqlRoleProvider"/> which used <see cref="System.Web.HttpContext"/> items to cache the data on the <see cref="System.Web.HttpRequest"/> base.
    /// </summary>
    public class MonoXRoleProvider : SqlRoleProvider
    {
        
        //Sumit Start
        /// <summary>
        /// Validator css class used to improve validator appearance.
        /// </summary>
        public override string ApplicationName
        {
            get
            {
                HttpContext context = HttpContext.Current;
                if (context == null)
                {
                    throw new InvalidOperationException("Http context cannot be null.");
                }

                string applicationName = String.Empty;
                if (context.Items.Contains(ApplicationSettings.ApplicationName))
                {
                    if (!String.IsNullOrEmpty((string)
                        context.Items[ApplicationSettings.ApplicationName]))
                    {
                        applicationName = (string)
                            context.Items[ApplicationSettings.ApplicationName];
                    }
                }
                return applicationName;
            }
            set
            {
                base.ApplicationName = value;
            }
        }
        //Sumit End

    }
}
